Subject: Re: [PATCH v5 00/24] Remove submodule from files-backend.c

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Feb 2017 13:04:36 -0800

Junio C Hamano <[email-masked]> writes:

> Nguyễn Thái Ngọc Duy  <[email-masked]> writes:
>
>> v5 goes a bit longer than v4, basically:
>>
>>  - files_path() is broken down into three smaller functions,
>>    files_{packed_refs,reflog,refname}_path().
>>
>>  - most of store-based api is added because..
>>
>>  - test-ref-store.c is added with t1405 and t1406 for some basic tests
>>    I'm not aimimg for complete ref store coverage. But we can continue
>>    to improve from there.
>>
>>  - refs_store_init() now takes a "permission" flag, like open().
>>    Operations are allowed or forbidden based on this flag. The
>>    submodule_allowed flag is killed. files_assert_main.. remains.
>>
>>  - get_*_ref_store() remain public api because it's used by
>>    test-ref-store.c and pack-refs.c.
>>
>>  - files-backend.c should now make no function calls that implicitly
>>    target the main store. But this will have to be tested more to be
>>    sure. I'm tempted to add a tracing backend just for this purpose.
>
> OK.
>
>> Junio, if you take this on 'pu', you'll have to kick my other two
>> series out (they should not even compile). I'm not resending them
>> until I get a "looks mostly ok" from Michael. No point in updating
>> them when this series keeps moving.
>
> Thanks for a note.

As this round seems to have added conflicts with another topic that
is already in flight that the previous round did not conflict with,
I'll eject all three for now until this one solidifies a bit more.